import SolidElement from '../../internal/solid-element';
export default class SdAnimation extends SolidElement {
    private animation?;
    private hasStarted;
    defaultSlot: Promise<HTMLSlotElement>;
    name: string;
    play: boolean;
    delay: number;
    direction: PlaybackDirection;
    duration: number;
    easing: string;
    endDelay: number;
    fill: FillMode;
    iterations: number;
    iterationStart: number;
    keyframes?: Keyframe[];
    playbackRate: number;
    get currentTime(): number;
    set currentTime(time: number);
    connectedCallback(): void;
    disconnectedCallback(): void;
    private handleAnimationFinish;
    private handleAnimationCancel;
    private handleSlotChange;
    private createAnimation;
    private destroyAnimation;
    handleAnimationChange(): void;
    handlePlayChange(): boolean;
    handlePlaybackRateChange(): void;
    cancel(): void;
    finish(): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-animation': SdAnimation;
    }
}
